# Generated by Django 5.1.1 on 2024-09-20 11:06

import django.db.models.deletion
import django_countries.fields
import hitcount.models
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail_color_panel.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('Service', '0001_initial'),
        ('taggit', '0006_rename_taggeditem_content_type_object_id_taggit_tagg_content_8fc721_idx'),
        ('wagtailcore', '0094_alter_page_locale'),
        ('wagtailimages', '0026_delete_uploadedimage'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BlogIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('banner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='BlogTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='name')),
                ('slug', models.SlugField(allow_unicode=True, max_length=100, unique=True, verbose_name='slug')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
            ],
            options={
                'verbose_name': 'blog tag',
                'verbose_name_plural': 'blog tags',
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('taggit.tag',),
        ),
        migrations.CreateModel(
            name='BlogPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('blPoTitleTemplate', models.CharField(blank=True, choices=[('Single Row', 'Single Row'), ('Multi Row', 'Multi Row')], default='Multi Row', max_length=200, null=True, verbose_name='Title Template')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('blCategory', wagtail.fields.StreamField([('category', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Service.category'})}, null=True)),
                ('blbrands', wagtail.fields.StreamField([('brand', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.brand'})}, null=True)),
                ('products', wagtail.fields.StreamField([('blog', 0), ('product', 1)], blank=True, block_lookup={0: ('wagtail.blocks.PageChooserBlock', ('Blog.BlogPage',), {}), 1: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.product'})}, null=True)),
                ('body', wagtail.fields.StreamField([('carousel', 7), ('section', 32), ('row', 43)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 10: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Arial', 'Arial'), ("'Catamaran'", 'Catamaran'), ('Macklin Sans', 'Macklin Sans'), ('Helvetica', 'Helvetica'), ('sans-serif', 'sans-serif'), ('Georgia', 'Georgia'), ('Times New Roman', 'Times New Roman')], 'required': False}), 11: ('wagtail.blocks.CharBlock', (), {}), 12: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 13: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 14: ('wagtail.blocks.StructBlock', [[('title', 11), ('alignment', 12), ('size', 13)]], {'required': False}), 15: ('wagtail.blocks.RichTextBlock', (), {}), 16: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 17: ('wagtail.blocks.StructBlock', [[('text', 15), ('alignment', 12), ('size', 13), ('line_space', 16)]], {'required': False}), 18: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('bash', 'Bash/Shell'), ('css', 'CSS'), ('diff', 'diff'), ('html', 'HTML'), ('javascript', 'Javascript'), ('json', 'JSON'), ('python', 'Python'), ('scss', 'SCSS'), ('yaml', 'YAML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 19: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 20: ('wagtail.blocks.StructBlock', [[('language', 18), ('code', 19)]], {'label': 'Code', 'required': False}), 21: ('wagtail.blocks.BlockQuoteBlock', (), {}), 22: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 23: ('wagtail.blocks.StructBlock', [[('quote', 21), ('alignment', 12), ('size', 13), ('line_space', 22)]], {'required': False}), 24: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 25: ('wagtail.blocks.StructBlock', [[('title', 11), ('size', 13)]], {}), 26: ('wagtail.blocks.StructBlock', [[('desc', 15), ('size', 13), ('alignment', 12), ('line_space', 22)]], {}), 27: ('wagtail.blocks.StructBlock', [[('title', 25), ('detail', 26)]], {}), 28: ('wagtail.blocks.StreamBlock', [[('accord_items', 27)]], {'required': False}), 29: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 30: ('wagtail.blocks.StructBlock', [[('image', 24), ('caption', 4)]], {'required': False}), 31: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 32: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('fontType', 10), ('title', 4), ('content', 31)]], {}), 33: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 34: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 35: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 36: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {}), 37: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('content', 36)]], {'required': False}), 38: ('wagtail.blocks.StreamBlock', [[('column', 37)]], {'required': False}), 39: ('wagtail.blocks.StructBlock', [[('bgColor', 34), ('fgColor', 35), ('title', 4), ('content', 38)]], {'required': False}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('sub_row', 39), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('width', 33), ('content', 40)]], {'required': False}), 42: ('wagtail.blocks.StreamBlock', [[('column', 41)]], {'required': False}), 43: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('title', 4), ('content', 42)]], {})}, null=True)),
                ('blPoBanner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
                ('blogStory', wagtail.fields.StreamField([('web_story', 9)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'help_text': 'Slide time in second'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 2: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 3: ('wagtail.blocks.CharBlock', (), {'required': False}), 4: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 5: ('wagtail.blocks.RichTextBlock', (), {'required': False}), 6: ('wagtail.blocks.StructBlock', [[('text', 3), ('url', 3)]], {'required': False}), 7: ('wagtail.blocks.StructBlock', [[('bgColor', 1), ('fgColor', 2), ('title', 3), ('image', 4), ('desc', 5), ('link', 6)]], {}), 8: ('wagtail.blocks.StreamBlock', [[('slide', 7)]], {}), 9: ('wagtail.blocks.StructBlock', [[('timer', 0), ('content', 8)]], {})}, null=True)),
                ('blogSocial', wagtail.fields.StreamField([('social_links', 2)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'label': 'Social platform', 'target_model': 'Core.socialplatform'}), 1: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 2: ('wagtail.blocks.StructBlock', [[('slName', 0), ('blsUrl', 1)]], {})}, null=True)),
                ('blogGallery', wagtail.fields.StreamField([('gallery', 2)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.StructBlock', [[('image', 0), ('caption', 1)]], {})}, null=True)),
                ('blPoViewCount', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('blPoLikeCount', models.PositiveIntegerField(blank=True, default=0)),
                ('blPoReadingTime', models.PositiveIntegerField(blank=True, default=2, null=True)),
                ('showFooter', models.BooleanField(blank=True, default=False, null=True, verbose_name='Show Footer')),
                ('blPoCommentLock', models.BooleanField(blank=True, default=False, null=True)),
                ('blPoCommentLockMsg', models.CharField(blank=True, max_length=200, null=True)),
                ('blPoRelatedTemplate', models.CharField(blank=True, choices=[('Links', 'Links'), ('Img One Column', 'Img One Column'), ('Img Two Column', 'Img Two Column')], default='Img Two Column', max_length=200, null=True)),
                ('titleImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Title Image')),
            ],
            options={
                'verbose_name': 'Blog Page',
            },
            bases=('wagtailcore.page', hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='BlogComments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('comment', wagtail.fields.RichTextField(blank=True, null=True)),
                ('like_count', models.PositiveIntegerField(blank=True, null=True)),
                ('comIPaddr', models.CharField(blank=True, max_length=200, null=True)),
                ('isApproved', models.BooleanField(blank=True, default=False, null=True)),
                ('createdAt', models.DateTimeField(auto_now_add=True)),
                ('publishedAt', models.DateTimeField(auto_now=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comment_replie', to='Blog.blogcomments')),
                ('posted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_comments', to='Blog.blogpage')),
            ],
            options={
                'verbose_name_plural': 'Blog Comment',
                'ordering': ['-createdAt'],
            },
        ),
        migrations.CreateModel(
            name='BlogReLinks',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='blog_reLinks', to='Blog.blogpage')),
                ('reLink', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='Blog.blogpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BlogPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='Blog.blogpage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_blogs', to='Blog.blogtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='blogpage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='Blog.BlogPageTag', to='Blog.BlogTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('coType', models.CharField(blank=True, choices=[('Self', 'Self'), ('Vendor', 'Vendor'), ('Brand', 'Brand')], max_length=250, null=True, verbose_name='Company Type')),
                ('coName', models.CharField(blank=True, max_length=250, null=True, verbose_name='Name')),
                ('coWeb', models.CharField(blank=True, max_length=250, null=True, verbose_name='Website')),
                ('coContact', models.CharField(blank=True, max_length=250, null=True, verbose_name='Contact')),
                ('coEmail', models.CharField(blank=True, max_length=250, null=True, verbose_name='Email')),
                ('createdBy', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Created By')),
            ],
            options={
                'verbose_name_plural': 'Company',
            },
        ),
        migrations.CreateModel(
            name='Brand',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('coBrandName', models.CharField(max_length=100, null=True, verbose_name='Name')),
                ('coBrandImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
                ('coName', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_brands', to='Blog.company')),
            ],
            options={
                'verbose_name_plural': 'Brand',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='CompanyAddr',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('coAddrTypeIconText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Text Icon')),
                ('coAddrType', models.CharField(blank=True, choices=[('Office', 'Office'), ('Branch', 'Branch'), ('Warehouse', 'Warehouse')], max_length=250, null=True, verbose_name='Address Type')),
                ('coAddrFull', models.TextField(blank=True, null=True, verbose_name='Address')),
                ('coAddrCountry', django_countries.fields.CountryField(blank=True, max_length=2, null=True, verbose_name='Country')),
                ('coAddrPin', models.CharField(blank=True, max_length=250, null=True, verbose_name='Pin')),
                ('coAddrLoc', models.URLField(blank=True, null=True, verbose_name='Location Map URL')),
                ('coAddrLat_map', models.FloatField(blank=True, null=True, verbose_name='Map Lat')),
                ('coAddrLog_map', models.FloatField(blank=True, null=True, verbose_name='Map Long')),
                ('coAddrTypeIcon', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image', verbose_name='Icon')),
                ('com', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_address', to='Blog.company')),
                ('createdBy', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Created By')),
            ],
            options={
                'verbose_name_plural': 'Company Address',
            },
        ),
        migrations.CreateModel(
            name='NewsPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('blPoTitleTemplate', models.CharField(blank=True, choices=[('Single Row', 'Single Row'), ('Multi Row', 'Multi Row')], default='Multi Row', max_length=200, null=True, verbose_name='Title Template')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('blCategory', wagtail.fields.StreamField([('category', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Service.category'})}, null=True)),
                ('blbrands', wagtail.fields.StreamField([('brand', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.brand'})}, null=True)),
                ('products', wagtail.fields.StreamField([('blog', 0), ('product', 1)], blank=True, block_lookup={0: ('wagtail.blocks.PageChooserBlock', ('Blog.BlogPage',), {}), 1: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.product'})}, null=True)),
                ('body', wagtail.fields.StreamField([('carousel', 7), ('section', 32), ('row', 43)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 10: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Arial', 'Arial'), ("'Catamaran'", 'Catamaran'), ('Macklin Sans', 'Macklin Sans'), ('Helvetica', 'Helvetica'), ('sans-serif', 'sans-serif'), ('Georgia', 'Georgia'), ('Times New Roman', 'Times New Roman')], 'required': False}), 11: ('wagtail.blocks.CharBlock', (), {}), 12: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 13: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 14: ('wagtail.blocks.StructBlock', [[('title', 11), ('alignment', 12), ('size', 13)]], {'required': False}), 15: ('wagtail.blocks.RichTextBlock', (), {}), 16: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 17: ('wagtail.blocks.StructBlock', [[('text', 15), ('alignment', 12), ('size', 13), ('line_space', 16)]], {'required': False}), 18: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('bash', 'Bash/Shell'), ('css', 'CSS'), ('diff', 'diff'), ('html', 'HTML'), ('javascript', 'Javascript'), ('json', 'JSON'), ('python', 'Python'), ('scss', 'SCSS'), ('yaml', 'YAML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 19: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 20: ('wagtail.blocks.StructBlock', [[('language', 18), ('code', 19)]], {'label': 'Code', 'required': False}), 21: ('wagtail.blocks.BlockQuoteBlock', (), {}), 22: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 23: ('wagtail.blocks.StructBlock', [[('quote', 21), ('alignment', 12), ('size', 13), ('line_space', 22)]], {'required': False}), 24: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 25: ('wagtail.blocks.StructBlock', [[('title', 11), ('size', 13)]], {}), 26: ('wagtail.blocks.StructBlock', [[('desc', 15), ('size', 13), ('alignment', 12), ('line_space', 22)]], {}), 27: ('wagtail.blocks.StructBlock', [[('title', 25), ('detail', 26)]], {}), 28: ('wagtail.blocks.StreamBlock', [[('accord_items', 27)]], {'required': False}), 29: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 30: ('wagtail.blocks.StructBlock', [[('image', 24), ('caption', 4)]], {'required': False}), 31: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 32: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('fontType', 10), ('title', 4), ('content', 31)]], {}), 33: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 34: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 35: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 36: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {}), 37: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('content', 36)]], {'required': False}), 38: ('wagtail.blocks.StreamBlock', [[('column', 37)]], {'required': False}), 39: ('wagtail.blocks.StructBlock', [[('bgColor', 34), ('fgColor', 35), ('title', 4), ('content', 38)]], {'required': False}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('sub_row', 39), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('width', 33), ('content', 40)]], {'required': False}), 42: ('wagtail.blocks.StreamBlock', [[('column', 41)]], {'required': False}), 43: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('title', 4), ('content', 42)]], {})}, null=True)),
                ('blPoBanner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
                ('blogStory', wagtail.fields.StreamField([('web_story', 9)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'help_text': 'Slide time in second'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 2: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 3: ('wagtail.blocks.CharBlock', (), {'required': False}), 4: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 5: ('wagtail.blocks.RichTextBlock', (), {'required': False}), 6: ('wagtail.blocks.StructBlock', [[('text', 3), ('url', 3)]], {'required': False}), 7: ('wagtail.blocks.StructBlock', [[('bgColor', 1), ('fgColor', 2), ('title', 3), ('image', 4), ('desc', 5), ('link', 6)]], {}), 8: ('wagtail.blocks.StreamBlock', [[('slide', 7)]], {}), 9: ('wagtail.blocks.StructBlock', [[('timer', 0), ('content', 8)]], {})}, null=True)),
                ('blogSocial', wagtail.fields.StreamField([('social_links', 2)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'label': 'Social platform', 'target_model': 'Core.socialplatform'}), 1: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 2: ('wagtail.blocks.StructBlock', [[('slName', 0), ('blsUrl', 1)]], {})}, null=True)),
                ('blogGallery', wagtail.fields.StreamField([('gallery', 2)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.StructBlock', [[('image', 0), ('caption', 1)]], {})}, null=True)),
                ('blPoReadingTime', models.PositiveIntegerField(blank=True, default=2, null=True)),
                ('showFooter', models.BooleanField(blank=True, default=False, null=True, verbose_name='Show Footer')),
                ('blPoCommentLock', models.BooleanField(blank=True, default=False, null=True)),
                ('blPoCommentLockMsg', models.CharField(blank=True, max_length=200, null=True)),
                ('blPoRelatedTemplate', models.CharField(blank=True, choices=[('Links', 'Links'), ('Img One Column', 'Img One Column'), ('Img Two Column', 'Img Two Column')], default='Img Two Column', max_length=200, null=True)),
                ('tags', modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='Blog.BlogPageTag', to='Blog.BlogTag', verbose_name='Tags')),
                ('titleImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Title Image')),
            ],
            options={
                'verbose_name': 'Blog Page',
            },
            bases=('wagtailcore.page', hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='NewsComments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('comment', wagtail.fields.RichTextField(blank=True, null=True)),
                ('like_count', models.PositiveIntegerField(blank=True, null=True)),
                ('comIPaddr', models.CharField(blank=True, max_length=200, null=True)),
                ('isApproved', models.BooleanField(blank=True, default=False, null=True)),
                ('createdAt', models.DateTimeField(auto_now_add=True)),
                ('publishedAt', models.DateTimeField(auto_now=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comment_replie', to='Blog.newscomments')),
                ('posted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('news', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='news_comments', to='Blog.newspage')),
            ],
            options={
                'verbose_name_plural': 'News Comment',
                'ordering': ['-createdAt'],
            },
        ),
        migrations.CreateModel(
            name='NewsReLinks',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('news', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='news_reLinks', to='Blog.newspage')),
                ('reLink', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='Blog.newspage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('coProdName', models.CharField(max_length=100, null=True, verbose_name='Product Name')),
                ('coProdTechStack', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Technology Stack')),
                ('coProdReq', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Product Requirement')),
                ('coProdDescription', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('coSupport', models.CharField(blank=True, max_length=250, null=True, verbose_name='Support')),
                ('coUsers', models.PositiveIntegerField(blank=True, null=True, verbose_name='No of users')),
                ('coProdBrand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.brand', verbose_name='Brand')),
                ('coProdCat', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='Service.subcategory', verbose_name='Category')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='sub_product', to='Blog.product')),
            ],
            options={
                'verbose_name_plural': 'Product',
                'ordering': ['-id'],
            },
        ),
        migrations.AddField(
            model_name='newspage',
            name='product',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.product'),
        ),
        migrations.AddField(
            model_name='blogpage',
            name='product',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.product'),
        ),
        migrations.CreateModel(
            name='TutorialPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('blPoTitleTemplate', models.CharField(blank=True, choices=[('Single Row', 'Single Row'), ('Multi Row', 'Multi Row')], default='Multi Row', max_length=200, null=True, verbose_name='Title Template')),
                ('shortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('blCategory', wagtail.fields.StreamField([('category', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Service.category'})}, null=True)),
                ('blbrands', wagtail.fields.StreamField([('brand', 0)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.brand'})}, null=True)),
                ('products', wagtail.fields.StreamField([('blog', 0), ('product', 1)], blank=True, block_lookup={0: ('wagtail.blocks.PageChooserBlock', ('Blog.BlogPage',), {}), 1: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'target_model': 'Blog.product'})}, null=True)),
                ('body', wagtail.fields.StreamField([('carousel', 7), ('section', 32), ('row', 43)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {}), 8: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 9: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 10: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Arial', 'Arial'), ("'Catamaran'", 'Catamaran'), ('Macklin Sans', 'Macklin Sans'), ('Helvetica', 'Helvetica'), ('sans-serif', 'sans-serif'), ('Georgia', 'Georgia'), ('Times New Roman', 'Times New Roman')], 'required': False}), 11: ('wagtail.blocks.CharBlock', (), {}), 12: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-left', 'Left'), ('text-right', 'Right'), ('text-center', 'Center'), ('text-justify', 'Justify')], 'required': False}), 13: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'required': False}), 14: ('wagtail.blocks.StructBlock', [[('title', 11), ('alignment', 12), ('size', 13)]], {'required': False}), 15: ('wagtail.blocks.RichTextBlock', (), {}), 16: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'label': 'Line Spacing', 'required': False}), 17: ('wagtail.blocks.StructBlock', [[('text', 15), ('alignment', 12), ('size', 13), ('line_space', 16)]], {'required': False}), 18: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('bash', 'Bash/Shell'), ('css', 'CSS'), ('diff', 'diff'), ('html', 'HTML'), ('javascript', 'Javascript'), ('json', 'JSON'), ('python', 'Python'), ('scss', 'SCSS'), ('yaml', 'YAML')], 'help_text': 'Coding language', 'identifier': 'language', 'label': 'Language'}), 19: ('wagtail.blocks.TextBlock', (), {'identifier': 'code', 'label': 'Code'}), 20: ('wagtail.blocks.StructBlock', [[('language', 18), ('code', 19)]], {'label': 'Code', 'required': False}), 21: ('wagtail.blocks.BlockQuoteBlock', (), {}), 22: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('leading-none', 'None'), ('leading-tight', 'Normal'), ('leading-normal', 'Single'), ('leading-relaxed', '1.5 Line'), ('leading-loose', 'Double')], 'required': False}), 23: ('wagtail.blocks.StructBlock', [[('quote', 21), ('alignment', 12), ('size', 13), ('line_space', 22)]], {'required': False}), 24: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 25: ('wagtail.blocks.StructBlock', [[('title', 11), ('size', 13)]], {}), 26: ('wagtail.blocks.StructBlock', [[('desc', 15), ('size', 13), ('alignment', 12), ('line_space', 22)]], {}), 27: ('wagtail.blocks.StructBlock', [[('title', 25), ('detail', 26)]], {}), 28: ('wagtail.blocks.StreamBlock', [[('accord_items', 27)]], {'required': False}), 29: ('wagtail.blocks.PageChooserBlock', (), {'required': False}), 30: ('wagtail.blocks.StructBlock', [[('image', 24), ('caption', 4)]], {'required': False}), 31: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 32: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('fontType', 10), ('title', 4), ('content', 31)]], {}), 33: ('wagtail.blocks.CharBlock', (), {'default': '50%', 'required': False}), 34: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'BG Color'}), 35: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'FG Color'}), 36: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {}), 37: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('content', 36)]], {'required': False}), 38: ('wagtail.blocks.StreamBlock', [[('column', 37)]], {'required': False}), 39: ('wagtail.blocks.StructBlock', [[('bgColor', 34), ('fgColor', 35), ('title', 4), ('content', 38)]], {'required': False}), 40: ('wagtail.blocks.StreamBlock', [[('heading', 14), ('paragraph', 17), ('code', 20), ('quote', 23), ('image', 24), ('sub_row', 39), ('accordion', 28), ('link', 29), ('image_Text', 30)]], {'required': False}), 41: ('wagtail.blocks.StructBlock', [[('fontType', 10), ('width', 33), ('content', 40)]], {'required': False}), 42: ('wagtail.blocks.StreamBlock', [[('column', 41)]], {'required': False}), 43: ('wagtail.blocks.StructBlock', [[('bgColor', 8), ('fgColor', 9), ('title', 4), ('content', 42)]], {})}, null=True)),
                ('blPoBanner', wagtail.fields.StreamField([('banner', 7)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 200, 'max': 400, 'min': 150}), 1: ('wagtail.blocks.IntegerBlock', (), {'default': 400, 'max': 600, 'min': 350}), 2: ('wagtail.blocks.IntegerBlock', (), {'default': 2000, 'help_text': 'Slide time in ms'}), 3: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 4: ('wagtail.blocks.CharBlock', (), {'required': False}), 5: ('wagtail.blocks.StructBlock', [[('image', 3), ('title', 4)]], {}), 6: ('wagtail.blocks.StreamBlock', [[('slide', 5)]], {}), 7: ('wagtail.blocks.StructBlock', [[('height', 0), ('width', 1), ('timer', 2), ('content', 6)]], {})}, null=True)),
                ('blogStory', wagtail.fields.StreamField([('web_story', 9)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'help_text': 'Slide time in second'}), 1: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'BG Color'}), 2: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'FG Color'}), 3: ('wagtail.blocks.CharBlock', (), {'required': False}), 4: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 5: ('wagtail.blocks.RichTextBlock', (), {'required': False}), 6: ('wagtail.blocks.StructBlock', [[('text', 3), ('url', 3)]], {'required': False}), 7: ('wagtail.blocks.StructBlock', [[('bgColor', 1), ('fgColor', 2), ('title', 3), ('image', 4), ('desc', 5), ('link', 6)]], {}), 8: ('wagtail.blocks.StreamBlock', [[('slide', 7)]], {}), 9: ('wagtail.blocks.StructBlock', [[('timer', 0), ('content', 8)]], {})}, null=True)),
                ('blogSocial', wagtail.fields.StreamField([('social_links', 2)], blank=True, block_lookup={0: ('wagtailmodelchooser.blocks.ModelChooserBlock', (), {'label': 'Social platform', 'target_model': 'Core.socialplatform'}), 1: ('wagtail.blocks.URLBlock', (), {'label': 'URL', 'required': False}), 2: ('wagtail.blocks.StructBlock', [[('slName', 0), ('blsUrl', 1)]], {})}, null=True)),
                ('blogGallery', wagtail.fields.StreamField([('gallery', 2)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': False}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.StructBlock', [[('image', 0), ('caption', 1)]], {})}, null=True)),
                ('blPoReadingTime', models.PositiveIntegerField(blank=True, default=2, null=True)),
                ('showFooter', models.BooleanField(blank=True, default=False, null=True, verbose_name='Show Footer')),
                ('blPoCommentLock', models.BooleanField(blank=True, default=False, null=True)),
                ('blPoCommentLockMsg', models.CharField(blank=True, max_length=200, null=True)),
                ('blPoRelatedTemplate', models.CharField(blank=True, choices=[('Links', 'Links'), ('Img One Column', 'Img One Column'), ('Img Two Column', 'Img Two Column')], default='Img Two Column', max_length=200, null=True)),
                ('product', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.product')),
                ('tags', modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='Blog.BlogPageTag', to='Blog.BlogTag', verbose_name='Tags')),
                ('titleImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='wagtailimages.image', verbose_name='Title Image')),
            ],
            options={
                'verbose_name': 'Tutorial Page',
            },
            bases=('wagtailcore.page', hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='TutComments',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('comment', wagtail.fields.RichTextField(blank=True, null=True)),
                ('like_count', models.PositiveIntegerField(blank=True, null=True)),
                ('comIPaddr', models.CharField(blank=True, max_length=200, null=True)),
                ('isApproved', models.BooleanField(blank=True, default=False, null=True)),
                ('createdAt', models.DateTimeField(auto_now_add=True)),
                ('publishedAt', models.DateTimeField(auto_now=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comment_replie', to='Blog.tutcomments')),
                ('posted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('blog', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tut_comments', to='Blog.tutorialpage')),
            ],
            options={
                'verbose_name_plural': 'Tutorial Comment',
                'ordering': ['-createdAt'],
            },
        ),
        migrations.CreateModel(
            name='TutReLinks',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG Color')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG Color')),
                ('reLink', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='Blog.tutorialpage')),
                ('tut', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tut_reLinks', to='Blog.tutorialpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UserFavBlog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isFav', models.BooleanField(blank=True, default=False, null=True)),
                ('createdOn', models.DateTimeField(auto_now_add=True)),
                ('blog', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.blogpage')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='fav_blogs', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'User Fav Blog',
                'ordering': ['-createdOn'],
            },
        ),
        migrations.CreateModel(
            name='UserFavNews',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isFav', models.BooleanField(blank=True, default=False, null=True)),
                ('createdOn', models.DateTimeField(auto_now_add=True)),
                ('news', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.newspage')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='fav_news', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'User Fav News',
                'ordering': ['-createdOn'],
            },
        ),
        migrations.CreateModel(
            name='UserFavTut',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isFav', models.BooleanField(blank=True, default=False, null=True)),
                ('createdOn', models.DateTimeField(auto_now_add=True)),
                ('blog', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='Blog.blogpage')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='fav_tut', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'User Fav Tutorial',
                'ordering': ['-createdOn'],
            },
        ),
    ]
